Bug 15549 - Space sensitive make_aliases
: Space sensitive make_aliases
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/sendmail-common)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-05-05 19:48 by
Modified: 2008-05-07 12:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-05-05 19:48:57
Скрипт make_aliases не учитывает, что количество пробелов в выводе "getent
aliases" и в /etc/postfix/aliases может не совпадать. Указанные строки приводят
к дублированию алиасов MAILER-DAEMON, abuse и postmaster:

81  getent aliases |while read alias; do
82          fgrep -qsx "$alias" "$WORKFILE" ||
83                  printf '%s\n' "$alias" >>"$WORKFILE"

Использовался пакет postfix-2.4.7-alt1 в бранче 4.0.
------- Comment #1 From 2008-05-06 21:37:07 -------
Проблема, в частности, в том, что getent aliases форматирует вывод пробелами, а
в шаблоне /usr/share/sendmail-common/aliases поля разделены табуляциями.
------- Comment #2 From 2008-05-07 02:37:09 -------
Thanks, fixed in 1.7-alt1